<?php

require_once( 'lib/constants.php' );
require_once( 'lib/init.php' );
require_once( 'lib/enqueue.php' );
require_once( 'lib/functions/index.php' );
require_once( 'lib/admin/index.php' );
require_once( 'lib/customizer/index.php' );
require_once( 'lib/metabox/index.php' );
require_once( 'lib/menu.php' );
require_once( 'lib/widgets.php' );
require_once( 'lib/add-tag.php' );
require_once( 'lib/title.php' );
require_once( 'lib/mokuji.php' );
require_once( 'lib/theme-settings-page.php' );
require_once( 'lib/wp_head-actions.php' );
require_once( 'lib/lazy-load.php' );
require_once( 'lib/exclude-search.php' );
require_once( 'lib/user-meta.php' );
require_once( 'lib/custom-post-type.php' );
require_once( 'lib/shortcode.php' );
require_once( 'lib/filters.php' );

/**
 * updateチェックOK
 */
require get_template_directory() . '/update-checker/plugin-update-checker.php';

use YahnisElsts\PluginUpdateChecker\v5\PucFactory;

try {
	$myUpdateChecker = PucFactory::buildUpdateChecker(
		'https://lab23.jp/update/theme_file/theme.json',
		__FILE__,
		'lab23' // テーマ名
	);
	
} catch (Exception $e) {
	// var_dump($e);
}
