<?php
/**
 * カスタマイザーの設定
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if( ! function_exists( 'lab23_customizer_register_header_image' ) ) {
	function lab23_customizer_register_header_image( $wp_customize ) {
			$wp_customize->add_setting( 'lab23_sp_header_image', array(
				'sanitize_callback' => 'lab23_sanitize_cropped_image',
				'type' => 'theme_mod',
			) );
			$wp_customize->add_control( new WP_Customize_Cropped_Image_Control($wp_customize,'lab23_sp_header_image', array(
				'label'			=> __( 'モバイルヘッダー画像', 'lab23' ),
				'description'	=> __( 'モバイル用のヘッダー画像を設定できます。<br>切り抜いた場合800x700になります。', 'lab23' ),
				'section'		=> 'header_image',
				'settings'		=> 'lab23_sp_header_image',
				'width' 		=> 800,
				'height'		=> 700,
				'flex_width'	=> true,
				'flex_height'	=> true,
			) ) );
	}
	add_action( 'customize_register', 'lab23_customizer_register_header_image' );
}
